package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class TrnVo extends BaseEntity {
    private static final long serialVersionUID = -84861466997604689L;

    private String inr;

    private String beginDate;

    private String endDate;

    private String inidattim;

    private String ownref;

    private String relflg;

    private String branchinr;

    private String inifrm;

    private String reloricur;

    private String reloriamt;

    private String wfsobjinr;

    private String branch;

    private String bchkeyinr;

    private String bchname;

    private String iniusr;

    private String ininam;

    private String relcur;

    private BigDecimal relamt;

    private String usg;

    private String usr;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date exedat;

    private String relreq;

    private String relres;

    private String infdsp ;

    private String inftxt;

    private String rprusr;

    private String ssninr;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date cpldattim;

    private String inflev;

    private String wfesrv;

    private String wfesta;

    private String wfsinr;

    public String getWfesta() {
        return wfesta;
    }

    public void setWfesta(String wfesta) {
        this.wfesta = wfesta;
    }

    public String getWfesrv() {
        return wfesrv;
    }

    public void setWfesrv(String wfesrv) {
        this.wfesrv = wfesrv;
    }



    public String getInflev() {
        return inflev;
    }

    public void setInflev(String inflev) {
        this.inflev = inflev;
    }

       public String getSsninr() {
        return ssninr;
    }

    public void setSsninr(String ssninr) {
        this.ssninr = ssninr;
    }

    public String getWfsobjinr() {
        return wfsobjinr;
    }

    public void setWfsobjinr(String wfsobjinr) {
        this.wfsobjinr = wfsobjinr;
    }

    public String getIniusr() {
        return iniusr;
    }

    public void setIniusr(String iniusr) {
        this.iniusr = iniusr;
    }

    public String getIninam() {
        return ininam;
    }

    public void setIninam(String ininam) {
        this.ininam = ininam;
    }

    public String getRelcur() {
        return relcur;
    }

    public void setRelcur(String relcur) {
        this.relcur = relcur;
    }

    public BigDecimal getRelamt() {
        return relamt;
    }

    public void setRelamt(BigDecimal relamt) {
        this.relamt = relamt;
    }

    public String getUsg() {
        return usg;
    }

    public void setUsg(String usg) {
        this.usg = usg;
    }

    public Date getExedat() {
        return exedat;
    }

    public void setExedat(Date exedat) {
        this.exedat = exedat;
    }

    public String getRprusr() {
        return rprusr;
    }

    public void setRprusr(String rprusr) {
        this.rprusr = rprusr;
    }

    public Date getCpldattim() {
        return cpldattim;
    }

    public void setCpldattim(Date cpldattim) {
        this.cpldattim = cpldattim;
    }

    public String getBranch() {
        return branch;
    }

    public void setBranch(String branch) {
        this.branch = branch;
    }

    public String getUpbranch() {
        return bchkeyinr;
    }

    public void setUpbranch(String upbranch) {
        this.bchkeyinr = upbranch;
    }

    public String getInifrm() {
        return inifrm;
    }

    public void setInifrm(String inifrm) {
        this.inifrm = inifrm;
    }

    public String getReloricur() {
        return reloricur;
    }

    public void setReloricur(String reloricur) {
        this.reloricur = reloricur;
    }

    public String getReloriamt() {
        return reloriamt;
    }

    public void setReloriamt(String reloriamt) {
        this.reloriamt = reloriamt;
    }

    public String getUsr() {
        return usr;
    }

    public void setUsr(String usr) {
        this.usr = usr;
    }

    public String getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }


    public TrnVo() {
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getInidattim() {
        return inidattim;
    }

    public void setInidattim(String inidattim) {
        this.inidattim = inidattim;
    }

    public String getOwnref() {
        return ownref;
    }

    public void setOwnref(String ownref) {
        this.ownref = ownref;
    }

    public String getInfdsp() {
        return infdsp;
    }

    public void setInfdsp(String infdsp) {
        this.infdsp = infdsp;
    }

    public String getInftxt() {
        return inftxt;
    }

    public void setInftxt(String inftxt) {
        this.inftxt = inftxt;
    }

    public String getRelflg() {
        return relflg;
    }

    public void setRelflg(String relflg) {
        this.relflg = relflg;
    }

    public String getRelreq() {
        return relreq;
    }

    public void setRelreq(String relreq) {
        this.relreq = relreq;
    }

    public String getRelres() {
        return relres;
    }

    public void setRelres(String relres) {
        this.relres = relres;
    }

    public String getBranchinr() {
        return branchinr;
    }

    public void setBranchinr(String branchinr) {
        this.branchinr = branchinr;
    }

}
